This endpoint is still on our legacy API.
List historical locations for a given asset.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment Statistics under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/{asset_id}/locations \
--header 'Authorization: Bearer <token>'[
{
"latitude": 37,
"location": "525 York, San Francisco, CA",
"longitude": -122.7,
"speedMilesPerHour": 35,
"time": 12314151
}
]Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the asset. Must contain only digits 0-9.
Timestamp in milliseconds representing the start of the period to fetch, inclusive. Used in combination with endMs.
Timestamp in milliseconds representing the end of the period to fetch, inclusive. Used in combination with startMs.
Asset location details.
The latitude of the location in degrees.
37
The best effort (street,city,state) for the latitude and longitude.
"525 York, San Francisco, CA"
The longitude of the location in degrees.
-122.7
The speed calculated from GPS that the asset was traveling at in miles per hour.
35
Time in Unix milliseconds since epoch when the asset was at the location.
12314151
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/{asset_id}/locations \
--header 'Authorization: Bearer <token>'[
{
"latitude": 37,
"location": "525 York, San Francisco, CA",
"longitude": -122.7,
"speedMilesPerHour": 35,
"time": 12314151
}
]